For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all applications
        • POSTCreate Application
        • GETGet an application by ID
        • PUTUpdate Application
        • GETGet all Application Statuses
        • GETGet an Application Status by ID
        • GETGet all Application Templates
        • GETGet Application Template by ID
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsApplications

Get an Application Status by ID

GET
/v1/application-statuses/:application_status_id
GET
/v1/application-statuses/:application_status_id
$curl https://api.propexo.com/v1/application-statuses/application_status_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "a3f1c9d2-7b4e-4f8a-9d3e-2b5c6f7a8e9d",
13 "created_at": "2024-05-10T09:15:00Z",
14 "updated_at": "2024-06-01T12:00:00Z",
15 "last_seen": "2024-06-05T08:30:00Z",
16 "x_id": "ext-application-status-98765",
17 "x_property_id": "ext-property-12345",
18 "x_location_id": null,
19 "name": "Approved",
20 "property_id": "prop-4f7a8e9d-c9d2-7b4e-4f8a-9d3e2b5c6f7a",
21 "integration_id": "int-00123",
22 "integration_vendor": "APPFOLIO"
23 }
24}
Get an Application Status by ID
Was this page helpful?
Previous

Get all Application Templates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

application_status_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error